Page MenuHome

Rename "Addons" to "Add-ons"
AbandonedPublic

Authored by Campbell Barton (campbellbarton) on Oct 2 2014, 6:02 PM.

Details

Summary

Currently, Blender's interface refers to add-ons as "addons". The more correct spelling is "add-ons" and it's written this way in most of the documentation that's out in the wild.

This patch modifies Blender so this proper spelling appears in the UI.

Assuming this patch is accepted, I can create a similar one for the addons_contrib scripts (and i18n, too).

Diff Detail

Event Timeline

Jason van Gumster (thefallenweeble) retitled this revision from to Rename "Addons" to "Add-ons".Oct 2 2014, 6:02 PM

Wow never noticed this. Looks good to me too!

This patch affects BTS repo, adding @Bastien Montagne (mont29).

There are more "addon" words in blender source code, search by regexp "msgid.+addons" in https://svn.blender.org/svnroot/bf-translations/trunk/po/blender.pot.

Campbell Barton (campbellbarton) requested changes to this revision.

Add-ons is correct English, but checked elsewhere and both are used.

How about treat this like Dyntopo or Subsurf, Its just a Blender term we allow to mix words together.

We could just use camal-caps AddOns in the UI.

Note, I intentionally named them addons, instead of add-ons to begin with because its easier to type and more distinctive, a similar reason to phabricator having names like diffusion and arcanist

This revision now requires changes to proceed.Oct 13 2014, 5:21 PM

No strong opinion here really… Does the UI mafia really wants full valid spelling for addons? As Campbell pointed out, we already have a bunch of invalid-english slang in our UI (have a look at scripts/modules/bl_i18n_utils/utils_spell_check.py).

PS: I think we anyway should only change pure UI strings (comments and (obviously!) code identifiers should not be affected), if we decide to do the change.

Since this is such a small change, and no one is constantly needing to type in "Add-ons" in the UI while working, I see no reason not to do it.

Unlike Dynamic Topology and Subdivision Surface, which are both really long for UI labels and need to be shortened, Addons and Add-ons are barely any different. Might as well go with the proper spelling.

The only reason I can think that it might be a bad idea is if any particular addons are using the path in their code. It might break a bunch of individual addons.

The reason for writing this patch is because I have actually been writing Add-ons as part of book writing and documentation on Blender. Personally, I don't see "addons" as being particularly distinctive from a branding perspective (i.e the reason for phabricator's namings); it appears to be more of a mistake/typo. And, yes, Dyntopo is in the interface, but I'm pretty sure that nearly all user-facing strings for subsurf are written as "Subdivision Surface" in the UI.

As for only changing UI strings, I definitely agree that code references should remain as-is. Comments, however, are more tricky. My preference would be to default to the correct spelling in comments unless the comment specifically refers to the code reference (rather than to Add-ons as a feature).

Thomas Dinges (dingto) accepted this revision.

I am fine with renaming it to Add-ons.

Campbell Barton (campbellbarton) accepted this revision.

Committed: rB2c3a503731f4d9bbba5fdc0e79a7ae34bd18baf2
(kept addons in comments though, this is for UI display only)

This revision is now accepted and ready to land.Nov 14 2014, 12:20 PM
This comment was removed by Caetano (Caetano).